(*****************************************************************************
 *                                                                           *
 *      Interface graphique : adaptation de la bibliothque libgraph         *
 *                                                                           *
 *****************************************************************************)

let open_graph		= graph__open_graph
and close_graph		= graph__close_graph
and clear_graph		= graph__clear_graph
and size_x		= graph__size_x
and size_y		= graph__size_y
and rgb			= graph__rgb
and set_color		= graph__set_color
and black		= graph__black
and white		= graph__white
and red			= graph__red
and green		= graph__green
and blue		= graph__blue
and yellow		= graph__yellow
and cyan		= graph__cyan
and magenta		= graph__magenta
and background		= graph__background
and foreground		= graph__foreground
and plot		= graph__plot
and point_color		= graph__point_color
and moveto		= graph__moveto
and current_point	= graph__current_point
and lineto		= graph__lineto
and draw_arc		= graph__draw_arc
and draw_ellipse	= graph__draw_ellipse
and draw_circle		= graph__draw_circle
and set_line_width	= graph__set_line_width
and draw_char		= graph__draw_char
and draw_string		= graph__draw_string
and set_font		= graph__set_font
and set_text_size	= graph__set_text_size
and text_size		= graph__text_size
and fill_rect		= graph__fill_rect
and fill_poly		= graph__fill_poly
and fill_arc		= graph__fill_arc
and fill_ellipse	= graph__fill_ellipse
and fill_circle		= graph__fill_circle
and wait_next_event	= graph__wait_next_event
and mouse_pos		= graph__mouse_pos
and button_down		= graph__button_down
and read_key		= graph__read_key
and key_pressed		= graph__key_pressed
and sound		= graph__sound
and curveto		= graph__curveto
and draw_poly		= graph__draw_poly
and poly_of_bezier	= graph__poly_of_bezier
and draw_bezier		= graph__draw_bezier
and fill_bezier		= graph__fill_bezier
and transp		= graph__transp
and make_image		= graph__make_image
and dump_image		= graph__dump_image
and draw_image		= graph__draw_image
and get_image		= graph__get_image
and create_image	= graph__create_image
and blit_image		= graph__blit_image
and current_image	= graph__current_image
and set_record		= graph__set_record
and current_vimage	= graph__current_vimage
and display_vimage	= graph__display_vimage
and bounding_box	= graph__bounding_box

and output_postscript	= postscript__output_postscript
and output_fig		= fig__output_fig   
and output_pstricks	= pstricks__output_pstricks
and output_tga          = tga__output_tga
and output_ppm          = ppm__output_ppm
and output_ppmraw       = ppm__output_ppmraw
;;

let write format img nom =
  let ch  = open_out nom in
  format ch (img());
  close_out ch
;;

let write_postscript    = write (output_postscript true) current_vimage
and write_fig           = write (output_fig        true) current_vimage
and write_pstricks      = write (output_pstricks   true) current_vimage
and write_tga           = write output_tga    current_image
and write_ppm           = write output_ppm    current_image
and write_ppmraw        = write output_ppmraw current_image
;;
